## apwal 0.4.4

=== Makefile ===

include Makefile.inc

all:
	(cd src && make $@)

install:
	(cd src && make $@)

clean:
	(cd src && make $@)
	-dh_clean
	-rm -f build-stamp

www:
	sh ../apwal-www/templates/newupstream.sh

sav: clean
	(cd ..; tar zcvf ~/sav/$(PROG)-$(VERS).tar.gz --exclude CVS $(PROG))

=== src/Makefile ===

include ../Makefile.inc

ifdef APWAL_DEBUG
CFLAGS=-g -Wall -Werror `pkg-config --cflags gtk+-2.0 gthread-2.0` -DGTK_DISABLE_DEPRECATED -DAPWAL_DEBUG
LDFLAGS=`pkg-config --libs gtk+-2.0 gthread-2.0` `xml2-config --libs`
else
CFLAGS=-O2 `pkg-config --cflags gtk+-2.0 gthread-2.0`
LDFLAGS=-O2 `pkg-config --libs gtk+-2.0 gthread-2.0` `xml2-config --libs`
endif

OBJS=main.o app.o launcher.o editor.o property.o \
     gtkstuff.o sysstuff.o iconsel.o cereimg.o fromgtk2src/gtkmarshalers.o \
     apwalapp.o iconsel_interface.o filesel.o xmlrc.o iconlist.o log.o about.o \
     apwalpref.o splash.o gtkfilesel2.o gtkfnmatch.o
INCS=app.h launcher.h editor.h property.h gtkstuff.h sysstuff.h \
     iconsel.h cereimg.h fromgtk2src/gtkmarshalers.h apwalapp.h \
     iconsel_private.h filesel.h xmlrc.h common.h iconlist.h log.h about.h \
     apwalpref.h splash.h gtkfilesel2.h gtkfnmatch.h

.SUFFIXES: .png .c


ifdef APWAL_DEBUG
all: checktraceformat apwal tags
apwal: $(OBJS)
	gcc -o $@ $^ $(LDFLAGS)
else
all: apwal
apwal: $(OBJS)
	gcc -o $@ $^ $(LDFLAGS)
	strip $@
endif

install: all
	cp apwal /usr/local/bin/
	ln -sf /usr/local/bin/apwal /usr/local/bin/apwal-editor

.c.o: $(INCS)
	gcc -c $< -o $*.o $(CFLAGS)

xmlrc.o: xmlrc.c $(INCS)
	gcc -c $< -o $*.o $(CFLAGS) `xml2-config --cflags`
about.o: about.c $(INCS) ../Makefile.inc
	gcc -c $< -o $*.o $(CFLAGS) -DAPWAL_VERSION=\"$(VERS)\"

gtkstuff.o: pixbufinline.inc
xmlrc.o: xmlrcinline.inc

#FIXME: check if needed
$(OBJS): $(INCS)

xmlrcinline.inc: ../example/apwalrc.xml
	@echo "generating $@..."
	@if [ -f $@ ]; then rm -f $@; fi;
	@echo > $@
	@echo -n "#define XMLRC_DEFAULT \"" >> $@
	@cat ../example/apwalrc.xml | awk ' \
	  BEGIN { ORS="\\n"; } \
	  { gsub("\"","\\\""); \
	    print; \
	  }'>> $@
	@echo "\"" >> $@
	@echo >> $@


pixbufinline.inc: ../pixmaps/*.png
	@echo "generating $@..."
	@list2build=$$( \
	   for f in ../pixmaps/*.png;do echo "`basename $$f .png` $$f ";done); \
	if [ -f $@ ]; then rm -f $@; fi; \
	gdk-pixbuf-csource --raw --build-list $$list2build > $@; \
	echo >> $@ ; echo "pixbufinline_t pixbufinline[] =" >> $@; \
	echo "{" >> $@; \
	for f in ../pixmaps/*.png;do \
	  echo "  {" >> $@; \
	  echo "    \"`basename $$f .png`\"," >> $@; \
	  echo "    sizeof(`basename $$f .png`)," >> $@; \
	  echo "    (guint8 *) & `basename $$f .png`" >> $@; \
	  echo "  }," >> $@; \
	done; \
	echo "};" >> $@; \
	echo -n "gint pixbufinline_count = (sizeof(pixbufinline) / " >> $@; \
	echo                               "sizeof(pixbufinline_t));" >> $@; \
	echo "" >> $@;

tags: $(INCS) $(OBJS:.o=.c)
	ctags -R

checktraceformat:
	@(fmterr=`find . -name "*.c" | xargs grep -nH '\(TRACE\|WARN\|ERR\)[ \t]*([ \t]*"[^%]*"'`; \
	if [ ! -z "$$fmterr" ]; then \
	echo "*** gcc on OpenBSD does not allow marcos with args... ending by a ','." ; \
	echo '*** To avoid this problem with the log macros, TRACE("") has to' ; \
	echo '*** be replaced by TRACE("%s", "") for example. Format problem in:' ; \
	echo "$$fmterr" ; \
	exit 1; fi; )
	

clean:
	-rm -f $(OBJS) apwal pixbufinline.inc xmlrcinline.inc tags

## apwal 0.4.5

=== Makefile ===
--- 
+++ 
@@ -2,13 +2,13 @@
 include Makefile.inc
 
 all:
-	(cd src && make $@)
+	(cd src && $(MAKE) $@)
 
 install:
-	(cd src && make $@)
+	(cd src && $(MAKE) $@)
 
 clean:
-	(cd src && make $@)
+	(cd src && $(MAKE) $@)
 	-dh_clean
 	-rm -f build-stamp

=== src/Makefile ===
--- 
+++ 
@@ -10,13 +10,13 @@
 endif
 
 OBJS=main.o app.o launcher.o editor.o property.o \
-     gtkstuff.o sysstuff.o iconsel.o cereimg.o fromgtk2src/gtkmarshalers.o \
+     gtkstuff.o sysstuff.o iconsel.o cereimg.o \
      apwalapp.o iconsel_interface.o filesel.o xmlrc.o iconlist.o log.o about.o \
-     apwalpref.o splash.o gtkfilesel2.o gtkfnmatch.o
+     apwalpref.o splash.o gtkfnmatch.o
 INCS=app.h launcher.h editor.h property.h gtkstuff.h sysstuff.h \
-     iconsel.h cereimg.h fromgtk2src/gtkmarshalers.h apwalapp.h \
+     iconsel.h cereimg.h apwalapp.h \
      iconsel_private.h filesel.h xmlrc.h common.h iconlist.h log.h about.h \
-     apwalpref.h splash.h gtkfilesel2.h gtkfnmatch.h
+     apwalpref.h splash.h gtkfnmatch.h
 
 .SUFFIXES: .png .c
 
@@ -47,7 +47,6 @@
 gtkstuff.o: pixbufinline.inc
 xmlrc.o: xmlrcinline.inc
 
-#FIXME: check if needed
 $(OBJS): $(INCS)
 
 xmlrcinline.inc: ../example/apwalrc.xml

=== debian/changelog ===
apwal (0.4.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch package to 3.0 (quilt) format.
  * Use 'dh' format to avoid missing build-arch and/or build-indep
    targets in debian/rules (Closes: #999315).
  * debian/changelog: Remove trailing whitespace.
  * debian/control:
    - Use debian-compat v13.
    - Raise Standards-Version to 4.6.0 (no changes needed).
    - Declare Rules-Requires-Root: no.
    - Drop duplicate Section field.
    - Declare package Multi-Arch: foreign.
  * debian/copyright: Use DEP-5 format and update for 2022.
  * debian/patches:
    - Fix cross-building and other issues (Closes: #929646).
      Thanks to Helmut Grohne for supplying a patch.
    - Don't override build system CFLAGS, CPPFLAGS or LDFLAGS.
    - Use pkg-config to detect libxml2 (Closes: #949051).
    - Don't manually strip the binary (Closes: #436940).
    - Fix install path to work with dh_auto_install.
    - Multiple spelling fixes (Lintian).
  * debian/rules:
    - Switch to `dh' format.
    - Export hardening flags.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 14 Mar 2022 22:04:23 +1100

apwal (0.4.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change d/compat to level 9, update B-D on debhelper (Closes: #817352)
  * Add Homepage to d/control, remove it from package descripiton
    (Closes: #615184)
  * Replace dh_clean -k with dh_prep

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Oct 2016 16:20:32 +0200

apwal (0.4.5-1) unstable; urgency=low

  * New upstream release. Includes all Debian-specific patches.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 20 Dec 2004 18:27:42 +0100

apwal (0.4.4-1) unstable; urgency=low

  * Initial release (Closes: #230373).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 25 Feb 2004 11:18:16 +0100

=== debian/control ===
Source: apwal
Section: gnome
Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper-compat (= 13), libgtk2.0-dev, libxml2-dev
Standards-Version: 4.6.0
Homepage: http://apwal.free.fr/
Rules-Requires-Root: no

Package: apwal
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: icon-based floating application launcher with transparency
 Apwal is a simple icon-based application launcher. It consists of two
 components: the application launcher itself, and the configuration editor.
 .
 Upon startup, Apwal displays icons at the mouse pointer location. Left
 clicking on the icons launches applications, and right-clicking opens
 Apwal Editor.
 .
 Apwal Editor is an easy to use graphical interface to configure Apwal. An
 icon selector displays icons available on your filesystem. Several filters
 are available to ease the search (by extension, by size, by name, etc.).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND = -g -Wall

%:
	dh $@

## apwal 0.4.5-maemo1

=== src/Makefile ===
--- 
+++ 
@@ -2,11 +2,13 @@
 include ../Makefile.inc
 
 ifdef APWAL_DEBUG
-CFLAGS=-g -Wall -Werror `pkg-config --cflags gtk+-2.0 gthread-2.0` -DGTK_DISABLE_DEPRECATED -DAPWAL_DEBUG
+#CFLAGS= -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp -g -Wall -Werror `pkg-config --cflags gtk+-2.0 gthread-2.0` -DGTK_DISABLE_DEPRECATED -DAPWAL_DEBUG
+CFLAGS= -g -Wall -Werror `pkg-config --cflags gtk+-2.0 gthread-2.0` -DGTK_DISABLE_DEPRECATED -DAPWAL_DEBUG
 LDFLAGS=`pkg-config --libs gtk+-2.0 gthread-2.0` `xml2-config --libs`
 else
+#CFLAGS=-O2 `pkg-config --cflags gtk+-2.0 gthread-2.0` -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
 CFLAGS=-O2 `pkg-config --cflags gtk+-2.0 gthread-2.0`
-LDFLAGS=-O2 `pkg-config --libs gtk+-2.0 gthread-2.0` `xml2-config --libs`
+LDFLAGS=-O2 `pkg-config --libs gtk+-2.0 gthread-2.0` `xml2-config --libs` 
 endif
 
 OBJS=main.o app.o launcher.o editor.o property.o \

=== debian/changelog ===
apwal (0.4.5-maemo1) unstable; urgency=low

  *Initial Release 

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Sun, 24 Jan 2010 12:59:59 +0900

=== debian/control ===
Source: apwal
Section: user/desktop
Priority: optional
Maintainer: tamanegimoyashi <tanimotoi@gmail.com>
Build-Depends: debhelper (>= 4.0), libgtk2.0-dev, libxml2-dev
Standards-Version: 0.4.5

Package: apwal
Section: user/desktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: icon-based floating application launcher with transparency
 Apwal is a simple icon-based application launcher. It consists of two
 components: the application launcher itself, and the configuration editor.
 .
 Upon startup, Apwal displays icons at the mouse pointer location. Left
 clicking on the icons launches applications, and right-clicking opens
 Apwal Editor.
 .
 Apwal Editor is an easy to use graphical interface to configure Apwal. An
 icon selector displays icons available on your filesystem. Several filters
 are available to ease the search (by extension, by size, by name, etc.).
 .
 Homepage: http://apwal.free.fr/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
	install -m 755 src/apwal `pwd`/debian/apwal/usr/bin
	cp -a  $(CURDIR)/apwal.desktop \
		$(CURDIR)/debian/apwal/usr/share/applications/hildon/
	cp -a  $(CURDIR)/apwal.desktop \
		$(CURDIR)/debian/apwal/etc/others-menu/extra_applications/
	cp -a $(CURDIR)/apwalrc.xml.maemo \
		$(CURDIR)/debian/apwal/usr/share/apwal/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs README FAQ ABOUT
	dh_installexamples example/apwalrc.xml
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
#	dh_installman debian/apwal.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apwal 0.4.5-maemo1-1

=== debian/changelog ===
apwal (0.4.5-maemo1-1) unstable; urgency=low

  *Fixed postinst

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Sun, 24 Jan 2010 12:59:59 +0900
